Method: networks.applications.batchCreate

API to batch create Application objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/applications:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where Applications will be created. Format: networks/{networkCode} The parent field in the CreateApplicationRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateApplicationRequest)
    }
  ]
}
Fields
requests[]

object (CreateApplicationRequest)

Required. The Application objects to create.

Response body

Response object for applications.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "applications": [
    {
      object (Application)
    }
  ]
}
Fields
applications[]

object (Application)

The Application objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateApplicationRequest

Request object for applications.create method.

JSON representation
{
  "parent": string,
  "application": {
    object (Application)
  }
}
Fields
parent

string

Required. The parent resource where this Application will be created. Format: networks/{networkCode}

application

object (Application)

Required. The Application to create.